/*
 * Soft Fail, more info see README, COPYRIGHT and CHANGELOG files
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <mysql/mysql.h>
#include "softfail.h"

int main() {
  MYSQL *mysql;
  MYSQL_RES *res;
  char sqlquery[SQLCMDSIZE];

  mysql = mysql_init(NULL);

   // open mysql connection
   if (!mysql_real_connect(mysql,MYSQLSERVER,MYSQLUSER,MYSQLPASSWORD,MYSQLDB,0,NULL,0)) {
      fprintf(stderr, "rotate-softfail-db err: %s\n", mysql_error(mysql));
      exit(-1);
   }

   sprintf(sqlquery, "repair table softfail"); // prepare the query

   if (mysql_query(mysql, sqlquery)) {
      fprintf(stderr, "rotate-softfail-db err: %s\n", mysql_error(mysql));
      exit(-1);
   } else {
	res = mysql_store_result(mysql);
	mysql_free_result(res);
   }

   sprintf(sqlquery, "delete from softfail where ((create_time < (NOW() - INTERVAL %d DAY)) AND (origin_type = 'AUTO'))",MAXDAYSAUTOINDB); // prepare next query

   if (mysql_query(mysql, sqlquery)) {
      fprintf(stderr, "rotate-softfail-db err: %s\n", mysql_error(mysql));
      exit(-1);
   } else {
	res = mysql_store_result(mysql);
	mysql_free_result(res);
   }

   mysql_close(mysql); // close mysql connection

exit(0);
}

